<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Oasis3-MCT: mod_oasis_io Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Oasis3-MCT
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">mod_oasis_io Module Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Provides reusable IO routines for OASIS.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a4d0f5cb29eabc798e857127c8c174d85"><td class="memItemLeft" align="right" valign="top">logical function, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#a4d0f5cb29eabc798e857127c8c174d85">oasis_io_varexists</a> (filename, fldname)</td></tr>
<tr class="memdesc:a4d0f5cb29eabc798e857127c8c174d85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks whether the var fldname is in the file.  <a href="#a4d0f5cb29eabc798e857127c8c174d85">More...</a><br /></td></tr>
<tr class="separator:a4d0f5cb29eabc798e857127c8c174d85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c14bebb7b216218e25f599e3469ae0c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#a6c14bebb7b216218e25f599e3469ae0c">oasis_io_read_avfld</a> (filename, av, gsmap, mpicom, avfld, filefld, fldtype)</td></tr>
<tr class="memdesc:a6c14bebb7b216218e25f599e3469ae0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads single field from a file into an attribute Vector.  <a href="#a6c14bebb7b216218e25f599e3469ae0c">More...</a><br /></td></tr>
<tr class="separator:a6c14bebb7b216218e25f599e3469ae0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8a48d6c36e3fac637a8191c20e514f2"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#ad8a48d6c36e3fac637a8191c20e514f2">oasis_io_write_avfile</a> (rstfile, av, gsmap, mpicom, nx, ny, nampre)</td></tr>
<tr class="memdesc:ad8a48d6c36e3fac637a8191c20e514f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes all fields from an attribute vector to a file.  <a href="#ad8a48d6c36e3fac637a8191c20e514f2">More...</a><br /></td></tr>
<tr class="separator:ad8a48d6c36e3fac637a8191c20e514f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65e17e4a065e8e4dea33754fb9c1d32c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#a65e17e4a065e8e4dea33754fb9c1d32c">oasis_io_read_avfile</a> (rstfile, av, gsmap, mpicom, abort, nampre, didread)</td></tr>
<tr class="memdesc:a65e17e4a065e8e4dea33754fb9c1d32c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads all fields for an attribute vector from a file.  <a href="#a65e17e4a065e8e4dea33754fb9c1d32c">More...</a><br /></td></tr>
<tr class="separator:a65e17e4a065e8e4dea33754fb9c1d32c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b604f89345d74c74c6bc3b4760b2e29"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#a8b604f89345d74c74c6bc3b4760b2e29">oasis_io_read_array</a> (rstfile, mpicom, iarray, ivarname, rarray, rvarname, abort)</td></tr>
<tr class="memdesc:a8b604f89345d74c74c6bc3b4760b2e29"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads an integer or real field from a file into an array.  <a href="#a8b604f89345d74c74c6bc3b4760b2e29">More...</a><br /></td></tr>
<tr class="separator:a8b604f89345d74c74c6bc3b4760b2e29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ac8ce0ba3223fb59f7f003b50b229cf"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#a9ac8ce0ba3223fb59f7f003b50b229cf">oasis_io_write_array</a> (rstfile, mpicom, iarray, ivarname, rarray, rvarname)</td></tr>
<tr class="memdesc:a9ac8ce0ba3223fb59f7f003b50b229cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes a real or integer array to a file.  <a href="#a9ac8ce0ba3223fb59f7f003b50b229cf">More...</a><br /></td></tr>
<tr class="separator:a9ac8ce0ba3223fb59f7f003b50b229cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42b325557a774b08d4cba24f387f8b01"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#a42b325557a774b08d4cba24f387f8b01">oasis_io_write_avfbf</a> (av, gsmap, mpicom, nx, ny, msec, f_string, filename)</td></tr>
<tr class="memdesc:a42b325557a774b08d4cba24f387f8b01"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write each field in an attribute vector to an individual files.  <a href="#a42b325557a774b08d4cba24f387f8b01">More...</a><br /></td></tr>
<tr class="separator:a42b325557a774b08d4cba24f387f8b01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4a465a698824fb473074bfbd3d92f79"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#ac4a465a698824fb473074bfbd3d92f79">oasis_io_read_avfbf</a> (av, gsmap, mpicom, msec, f_string, filename)</td></tr>
<tr class="memdesc:ac4a465a698824fb473074bfbd3d92f79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read each field in an attribute vector from individual files.  <a href="#ac4a465a698824fb473074bfbd3d92f79">More...</a><br /></td></tr>
<tr class="separator:ac4a465a698824fb473074bfbd3d92f79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af080505b4678a5c68916a700f54ac6e6"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#af080505b4678a5c68916a700f54ac6e6">oasis_io_read_field_fromroot</a> (filename, fldname, ifld2, fld2, fld3, nx, ny, nz)</td></tr>
<tr class="memdesc:af080505b4678a5c68916a700f54ac6e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read a field on the root task from a file into an array.  <a href="#af080505b4678a5c68916a700f54ac6e6">More...</a><br /></td></tr>
<tr class="separator:af080505b4678a5c68916a700f54ac6e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18912324646473cf8fedd7138cc59a79"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#a18912324646473cf8fedd7138cc59a79">oasis_io_write_2dgridfld_fromroot</a> (filename, fldname, fld, nx, ny)</td></tr>
<tr class="memdesc:a18912324646473cf8fedd7138cc59a79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write a real array named field from the root task to a file.  <a href="#a18912324646473cf8fedd7138cc59a79">More...</a><br /></td></tr>
<tr class="separator:a18912324646473cf8fedd7138cc59a79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a432ecb26e0e2d8387c1601ea6cc68668"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#a432ecb26e0e2d8387c1601ea6cc68668">oasis_io_write_2dgridint_fromroot</a> (filename, fldname, fld, nx, ny)</td></tr>
<tr class="memdesc:a432ecb26e0e2d8387c1601ea6cc68668"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write an integer array named field from the root task to a file.  <a href="#a432ecb26e0e2d8387c1601ea6cc68668">More...</a><br /></td></tr>
<tr class="separator:a432ecb26e0e2d8387c1601ea6cc68668"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa967e930e5d6199bbc6ec9a4f3c7069e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemod__oasis__io.html#aa967e930e5d6199bbc6ec9a4f3c7069e">oasis_io_write_3dgridfld_fromroot</a> (filename, fldname, fld, nx, ny, nc)</td></tr>
<tr class="memdesc:aa967e930e5d6199bbc6ec9a4f3c7069e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write a 3d real array named field from the root task to a file.  <a href="#aa967e930e5d6199bbc6ec9a4f3c7069e">More...</a><br /></td></tr>
<tr class="separator:aa967e930e5d6199bbc6ec9a4f3c7069e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Provides reusable IO routines for OASIS. </p>
</div><h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a8b604f89345d74c74c6bc3b4760b2e29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b604f89345d74c74c6bc3b4760b2e29">&#9670;&nbsp;</a></span>oasis_io_read_array()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_read_array </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>rstfile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>mpicom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), dimension(:), intent(inout), optional&#160;</td>
          <td class="paramname"><em>iarray</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>ivarname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(ip_double_p), dimension(:), intent(inout), optional&#160;</td>
          <td class="paramname"><em>rarray</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>rvarname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>abort</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reads an integer or real field from a file into an array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rstfile</td><td>filename</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mpicom</td><td>mpi comm</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">iarray</td><td>integer data on root</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ivarname</td><td>integer variable name on file</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">rarray</td><td>real data on root</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">rvarname</td><td>real variable name on file</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">abort</td><td>abort on error flag, default is true </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l00565">565</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="ac4a465a698824fb473074bfbd3d92f79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4a465a698824fb473074bfbd3d92f79">&#9670;&nbsp;</a></span>oasis_io_read_avfbf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_read_avfbf </td>
          <td>(</td>
          <td class="paramtype">type(mct_avect), intent(inout)&#160;</td>
          <td class="paramname"><em>av</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(mct_gsmap), intent(in)&#160;</td>
          <td class="paramname"><em>gsmap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>mpicom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in), optional&#160;</td>
          <td class="paramname"><em>msec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>f_string</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read each field in an attribute vector from individual files. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in,out]</td><td class="paramname">av</td><td>avect</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">gsmap</td><td>gsmap decomp</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mpicom</td><td>mpi comm</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">msec</td><td>optional time info in seconds</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">f_string</td><td>optional f_string to append to filename</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">filename</td><td>optional input filename </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l01091">1091</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="a65e17e4a065e8e4dea33754fb9c1d32c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65e17e4a065e8e4dea33754fb9c1d32c">&#9670;&nbsp;</a></span>oasis_io_read_avfile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_read_avfile </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>rstfile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(mct_avect), intent(inout)&#160;</td>
          <td class="paramname"><em>av</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(mct_gsmap), intent(in)&#160;</td>
          <td class="paramname"><em>gsmap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>mpicom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>abort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>nampre</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(out), optional&#160;</td>
          <td class="paramname"><em>didread</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reads all fields for an attribute vector from a file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rstfile</td><td>filename</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">av</td><td>avect</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">gsmap</td><td>gsmap decomp</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mpicom</td><td>mpi comm</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">abort</td><td>abort on error flag, default is true</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">nampre</td><td>name prepend string for fields on file</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">didread</td><td>flag indicating that read was successful </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l00406">406</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="a6c14bebb7b216218e25f599e3469ae0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c14bebb7b216218e25f599e3469ae0c">&#9670;&nbsp;</a></span>oasis_io_read_avfld()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_read_avfld </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(mct_avect), intent(inout)&#160;</td>
          <td class="paramname"><em>av</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(mct_gsmap), intent(in)&#160;</td>
          <td class="paramname"><em>gsmap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>mpicom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>avfld</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>filefld</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>fldtype</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reads single field from a file into an attribute Vector. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">filename</td><td>file name</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">av</td><td>avect</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">gsmap</td><td>gsmap decomp</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mpicom</td><td>mpi comm</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">avfld</td><td>av field name</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">filefld</td><td>file field name</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fldtype</td><td>kind </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l00078">78</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="af080505b4678a5c68916a700f54ac6e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af080505b4678a5c68916a700f54ac6e6">&#9670;&nbsp;</a></span>oasis_io_read_field_fromroot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_read_field_fromroot </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>fldname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), dimension(:,:), intent(inout), optional&#160;</td>
          <td class="paramname"><em>ifld2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(ip_realwp_p), dimension(:,:), intent(inout), optional&#160;</td>
          <td class="paramname"><em>fld2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(ip_realwp_p), dimension(:,:,:), intent(inout), optional&#160;</td>
          <td class="paramname"><em>fld3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(inout), optional&#160;</td>
          <td class="paramname"><em>nx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(inout), optional&#160;</td>
          <td class="paramname"><em>ny</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(inout), optional&#160;</td>
          <td class="paramname"><em>nz</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read a field on the root task from a file into an array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">filename</td><td>file name</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fldname</td><td>field name</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">ifld2</td><td>2d integer array</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">fld2</td><td>2d real array</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">fld3</td><td>3d real array</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">nx</td><td>global nx size</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">ny</td><td>global ny size</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">nz</td><td>global nz size </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l01254">1254</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="a4d0f5cb29eabc798e857127c8c174d85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d0f5cb29eabc798e857127c8c174d85">&#9670;&nbsp;</a></span>oasis_io_varexists()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical function, public mod_oasis_io::oasis_io_varexists </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>fldname</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Checks whether the var fldname is in the file. </p>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l00042">42</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="a18912324646473cf8fedd7138cc59a79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18912324646473cf8fedd7138cc59a79">&#9670;&nbsp;</a></span>oasis_io_write_2dgridfld_fromroot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_write_2dgridfld_fromroot </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>fldname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(ip_realwp_p), dimension(:,:), intent(in)&#160;</td>
          <td class="paramname"><em>fld</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>nx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>ny</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write a real array named field from the root task to a file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">filename</td><td>file name</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fldname</td><td>field name</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fld</td><td>2d real field</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">nx</td><td>2d global nx size</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ny</td><td>2d global ny size </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l01397">1397</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="a432ecb26e0e2d8387c1601ea6cc68668"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a432ecb26e0e2d8387c1601ea6cc68668">&#9670;&nbsp;</a></span>oasis_io_write_2dgridint_fromroot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_write_2dgridint_fromroot </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>fldname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), dimension(:,:), intent(in)&#160;</td>
          <td class="paramname"><em>fld</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>nx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>ny</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write an integer array named field from the root task to a file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">filename</td><td>file name</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fldname</td><td>field name</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fld</td><td>integer field</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">nx</td><td>2d global nx size</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ny</td><td>2d global ny size </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l01500">1500</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="aa967e930e5d6199bbc6ec9a4f3c7069e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa967e930e5d6199bbc6ec9a4f3c7069e">&#9670;&nbsp;</a></span>oasis_io_write_3dgridfld_fromroot()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_write_3dgridfld_fromroot </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>fldname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(ip_realwp_p), dimension(:,:,:), intent(in)&#160;</td>
          <td class="paramname"><em>fld</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>nx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>ny</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>nc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write a 3d real array named field from the root task to a file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">filename</td><td>file name</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fldname</td><td>field name</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fld</td><td>3d real array</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">nx</td><td>3d global nx size</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ny</td><td>3d global ny size</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">nc</td><td>3d global nz size or nc size for corners </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l01603">1603</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="a9ac8ce0ba3223fb59f7f003b50b229cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ac8ce0ba3223fb59f7f003b50b229cf">&#9670;&nbsp;</a></span>oasis_io_write_array()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_write_array </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>rstfile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>mpicom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), dimension(:), intent(in), optional&#160;</td>
          <td class="paramname"><em>iarray</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>ivarname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(ip_double_p), dimension(:), intent(in), optional&#160;</td>
          <td class="paramname"><em>rarray</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>rvarname</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Writes a real or integer array to a file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rstfile</td><td>filename</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mpicom</td><td>mpi comm</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">iarray</td><td>integer data on root</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ivarname</td><td>integer variable name on file</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">rarray</td><td>real data on root</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">rvarname</td><td>real variable name on file </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l00730">730</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="a42b325557a774b08d4cba24f387f8b01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42b325557a774b08d4cba24f387f8b01">&#9670;&nbsp;</a></span>oasis_io_write_avfbf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_write_avfbf </td>
          <td>(</td>
          <td class="paramtype">type(mct_avect), intent(in)&#160;</td>
          <td class="paramname"><em>av</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(mct_gsmap), intent(in)&#160;</td>
          <td class="paramname"><em>gsmap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>mpicom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>nx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>ny</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in), optional&#160;</td>
          <td class="paramname"><em>msec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>f_string</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write each field in an attribute vector to an individual files. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">av</td><td>avect</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">gsmap</td><td>gsmap decomp</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mpicom</td><td>mpi comm</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">nx</td><td>2d global nx size</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ny</td><td>2d global ny size</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">msec</td><td>optional time info in seconds</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">f_string</td><td>optional f_string to append to filename</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">filename</td><td>optional output filename </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l00877">877</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
<a id="ad8a48d6c36e3fac637a8191c20e514f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8a48d6c36e3fac637a8191c20e514f2">&#9670;&nbsp;</a></span>oasis_io_write_avfile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public mod_oasis_io::oasis_io_write_avfile </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>rstfile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(mct_avect), intent(in)&#160;</td>
          <td class="paramname"><em>av</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(mct_gsmap), intent(in)&#160;</td>
          <td class="paramname"><em>gsmap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>mpicom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>nx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer(ip_i4_p), intent(in)&#160;</td>
          <td class="paramname"><em>ny</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>nampre</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Writes all fields from an attribute vector to a file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">rstfile</td><td>filename</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">av</td><td>avect</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">gsmap</td><td>gsmap decomp</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">mpicom</td><td>mpi comm</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">nx</td><td>2d global nx size</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">ny</td><td>2d global ny size</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">nampre</td><td>field name prepend string on file </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="mod__oasis__io_8_f90_source.html#l00230">230</a> of file <a class="el" href="mod__oasis__io_8_f90_source.html">mod_oasis_io.F90</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jun 29 2018 20:52:29 for Oasis3-MCT by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
